You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-10-18 16:47:27

jeanvfpereira
Member
Registered: 2018-10-18
Posts: 6

Erro ao coletar e-mails

Boa tarde!

Implementei o GLPI no meu ambiente cerca de 2 meses, mas nas últimas 2 semanas, não consigo receber nenhum ticket via e-mail, apenas do portal ...
Eu verifiquei todas as configurações sobre o receptor, como IMAP / POP com e sem opções SSL / TLS, tentei conectar ao servidor usando IP em vez de DNS ... e nada funciona ...
Hoje eu atualizei para o 9.3.1 pensando que esse erro poderia ser da versão 9.3.0, mas sem sucesso...

Meu servidor:
OS: Cent OS 7
PHP5.6.38
GLPI 9.3.1

No log do PHP tem vários registros deste:

[2018-10-18 11:10:15] glpiphplog.ERROR: Toolbox::userErrorHandlerNormal() in /usr/share/glpi/inc/toolbox.class.php line 657
  *** PHP Warning(2): imap_open(): Couldn't open stream {mail.apassantos.com.br:995/pop/ssl}INBOX
  Backtrace :
  :
  inc/mailcollector.class.php:1186                   imap_open()
  inc/mailcollector.class.php:601                    MailCollector->connect()
  inc/mailcollector.class.php:1744                   MailCollector->collect()
  :                                                  MailCollector::cronMailgate()
  inc/crontask.class.php:837                         call_user_func()
  front/cron.php:83                                  CronTask::launch()
  {"user":"@APASAPP03","mem_usage":"8.402\", 9.36Mio)"}

Algueém sabe me dizer o que mais posso verificar?

Offline

#2 2018-10-23 13:51:50

machadomall
Guest
From: Brazil, Brasilia, DF
Registered: 2011-10-30
Posts: 177

Re: Erro ao coletar e-mails

Bom dia,
Se você puder criar um novo servidor CentOS e usar o repositório do Remi Collet você vai ter sucesso.
Tenta trabalhar com a ultima versão do GLPI, PHP 7.x, MaridaDB 10.x.
- Acredito que o seu problema é a versão do PHP.

https://git.remirepo.net/cgit/rpms/glpi … i-93-c7.md

Abraços.


Márcio Machado
Brasília-DF / Brasil

Offline

#3 2018-10-23 14:55:22

jeanvfpereira
Member
Registered: 2018-10-18
Posts: 6

Re: Erro ao coletar e-mails

acabei de atualizar para o 7.2...mesma coisa...

Offline

#4 2018-11-06 17:24:22

machadomall
Guest
From: Brazil, Brasilia, DF
Registered: 2011-10-30
Posts: 177

Re: Erro ao coletar e-mails

Olá,

Estou com problema bem parecido no MailCollector.

Na versão 9.3.2 está apresentando erro no MailCollector confome abaixo, na versão 9.3.1 isso não acontece.
Peguei o arquivo da versão 9.3.1 e subsititui na 9.3.2 e funcionou normalmente.

Fatal error: Uncaught Error: Class 'LitEmoji\LitEmoji' not found in /usr/share/glpi/inc/mailcollector.class.php:1065 Stack trace: #0 /usr/share/glpi/inc/mailcollector.class.php(629): MailCollector->buildTicket(3598, Array) #1 /usr/share/glpi/front/mailcollector.form.php(77): MailCollector->collect('2', 1) #2 {main} thrown in /usr/share/glpi/inc/mailcollector.class.php on line 1065

Att,


Márcio Machado
Brasília-DF / Brasil

Offline

Board footer

Powered by FluxBB